using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class dronescript : MonoBehaviour
{
    int objno = 0;
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        string score = "wave = maketable(\"wave\", 1000, \"saw\") " +
            "WAVETABLE(0, 999, 10000, 70, 0.5, wave) " +
            "WAVETABLE(0, 999, 10000, 70.2, 0.5, wave) " +
            "WAVETABLE(0, 999, 10000, 69.9, 0.5, wave) ";

        RTcmix.SendScore(score, objno);

        did_start = true;
    }


    // Update is called once per frame
    void Update()
    {
    }


    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
